aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--coin/platform_configs/qdb.yaml5
-rwxr-xr-xcoin/provisioning/common/macos/libusb.sh43
-rwxr-xr-xcoin/provisioning/common/macos/pkgconfig.sh43
-rwxr-xr-xcoin/provisioning/qtci-macos-10.13-x86_64/26-pkgconfig.sh7
-rwxr-xr-xcoin/provisioning/qtci-macos-10.13-x86_64/27-libusb.sh7
5 files changed, 105 insertions, 0 deletions
diff --git a/coin/platform_configs/qdb.yaml b/coin/platform_configs/qdb.yaml
index f18909fe..544a1b90 100644
--- a/coin/platform_configs/qdb.yaml
+++ b/coin/platform_configs/qdb.yaml
@@ -18,6 +18,11 @@ Configurations:
Features: ['Packaging']
Configure arguments: '-opensource -confirm-license -verbose -prefix /home/qt/work/install -release -nomake tests -nomake examples -no-libudev -no-use-gold-linker -force-debug-info -no-sql-mysql -plugin-sql-psql -plugin-sql-sqlite -qt-libjpeg -qt-libpng -qt-xcb -sysconfdir /etc/xdg -qt-pcre -qt-harfbuzz -openssl -I {{.Env.OPENSSL_HOME}}/include -L {{.Env.OPENSSL_HOME}}/lib QMAKE_LFLAGS_APP+=-s -static -no-icu'
-
+ Template: 'qtci-macos-10.13-x86_64-2'
+ Compiler: 'Clang'
+ Features: ['Packaging']
+ Configure arguments: '-opensource -confirm-license -verbose -prefix /Users/qt/work/install -debug-and-release -release -nomake tests -nomake examples -no-sql-mysql -plugin-sql-psql -plugin-sql-sqlite -sysconfdir /Library/Preferences/Qt -I/usr/local/opt/openssl/include -static -no-icu'
+ -
Template: 'qtci-linux-Ubuntu-18.04-x86_64'
Compiler: 'GCC'
Features: ['TestOnly', 'LicenseCheck']
diff --git a/coin/provisioning/common/macos/libusb.sh b/coin/provisioning/common/macos/libusb.sh
new file mode 100755
index 00000000..cf9e7150
--- /dev/null
+++ b/coin/provisioning/common/macos/libusb.sh
@@ -0,0 +1,43 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2020 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# Install libusb
+set -ex
+
+source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
+brew install libusb
+read -r -a arr <<< $(brew list --versions libusb)
+version=${arr[1]}
+echo "libusb = $version" >> ~/versions.txt
diff --git a/coin/provisioning/common/macos/pkgconfig.sh b/coin/provisioning/common/macos/pkgconfig.sh
new file mode 100755
index 00000000..9fad4912
--- /dev/null
+++ b/coin/provisioning/common/macos/pkgconfig.sh
@@ -0,0 +1,43 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2020 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# Install pkgconfig
+set -ex
+
+source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
+brew install pkgconfig
+read -r -a arr <<< $(brew list --versions pkgconfig)
+version=${arr[1]}
+echo "pkgconfig = $version" >> ~/versions.txt
diff --git a/coin/provisioning/qtci-macos-10.13-x86_64/26-pkgconfig.sh b/coin/provisioning/qtci-macos-10.13-x86_64/26-pkgconfig.sh
new file mode 100755
index 00000000..9362a345
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.13-x86_64/26-pkgconfig.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+# Install pkgconfig
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/pkgconfig.sh"
diff --git a/coin/provisioning/qtci-macos-10.13-x86_64/27-libusb.sh b/coin/provisioning/qtci-macos-10.13-x86_64/27-libusb.sh
new file mode 100755
index 00000000..acc7ad4f
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.13-x86_64/27-libusb.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+# Install libusb
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/libusb.sh"